{% extends "base.html.j2" %}
{% block content %}
<div class="media">
    <section class="main_content content">
        <h2>Descargar pelí con enlace directo</h2>

        <p>
            Para descargar contenido con enlace directo, verifique que su link
            cumple con las siguientes características.

            <lu>
                <li>El archivo original está en formato MP4 / H264</li>
                <li>El link magnet ha sido generado por un cliente válido WEBRTC, por ejemplo:
                    <dl>
                        <li><a href="https://webtorrent.io/desktop/">https://webtorrent.io/desktop/</a></li>
                        <li><a href="https://instant.io/">https://instant.io/</a></li>
                        <li><a href="https://lofitorrent.js.org/">https://lofitorrent.js.org/</a></li>
                    </dl>
                </li>
            </lu>
        </p>

        <form role="form" method="post" accept-charset="utf-8" name="descargar_direct">
            {{form.hidden_tag()}}

            {{form.uri.label()}}
            {{form.uri()}}

            {% for error in form.uri.errors %}
                <span style="color: red;">[{{error}}]</span>
            {% endfor %}

            {{form.submit(class_="right center")}}
            <p class="right reset"><a href="{{url_for('index')}}">Cancelar</a></p>
        </form>
    </section>

    <script type="text/javascript" charset="utf-8">
        $(document).ready(function(){
            $('#uri').focus();
        });
    </script>
</div>
{% endblock %}
